OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_Modified Class Reference

Transient attribute wich register modified
labels. This attribute is attached to root label.
.

`#include <TDocStd_Modified.hxx>`

Inheritance diagram for TDocStd_Modified:

[legend]

## Public Member Functions
Standard_EXPORT | TDocStd_Modified ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Clear ()
Standard_EXPORT Standard_Boolean | AddLabel (const TDF_Label &L)
| add <l> as modified
Standard_EXPORT Standard_Boolean | RemoveLabel (const TDF_Label &L)
| remove <l> as modified
Standard_EXPORT const TDF_LabelMap & | Get () const
| returns modified label map
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | IsEmpty (const TDF_Label &access)
| API class methods ================= .
static Standard_EXPORT Standard_Boolean | Add (const TDF_Label &alabel)
static Standard_EXPORT Standard_Boolean | Remove (const TDF_Label &alabel)
static Standard_EXPORT Standard_Boolean | Contains (const TDF_Label &alabel)
static Standard_EXPORT const TDF_LabelMap & | Get (const TDF_Label &access)
| if <isempty> raise an exception.
static Standard_EXPORT void | Clear (const TDF_Label &access)
| remove all modified labels. becomes empty
static Standard_EXPORT const Standard_GUID & | GetID ()
| Modified methods ================ .
## Private Attributes
TDF_LabelMap | myModified

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_Modified::TDocStd_Modified | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_Boolean TDocStd_Modified::Add | ( | const TDF_Label & | alabel | ) | `[static]`

Standard_EXPORT Standard_Boolean TDocStd_Modified::AddLabel | ( | const TDF_Label & | L | ) |

Standard_EXPORT void TDocStd_Modified::Clear | ( |  | ) |

static Standard_EXPORT void TDocStd_Modified::Clear | ( | const TDF_Label & | access | ) | `[static]`

static Standard_EXPORT Standard_Boolean TDocStd_Modified::Contains | ( | const TDF_Label & | alabel | ) | `[static]`

virtual Standard_EXPORT Standard_OStream& TDocStd_Modified::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TDF_LabelMap& TDocStd_Modified::Get | ( |  | ) | const

static Standard_EXPORT const TDF_LabelMap& TDocStd_Modified::Get | ( | const TDF_Label & | access | ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDocStd_Modified::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDocStd_Modified::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDocStd_Modified::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDocStd_Modified::IsEmpty | ( |  | ) | const

static Standard_EXPORT Standard_Boolean TDocStd_Modified::IsEmpty | ( | const TDF_Label & | access | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDocStd_Modified::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_Modified::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Standard_Boolean TDocStd_Modified::Remove | ( | const TDF_Label & | alabel | ) | `[static]`

Standard_EXPORT Standard_Boolean TDocStd_Modified::RemoveLabel | ( | const TDF_Label & | L | ) |

Standard_EXPORT void TDocStd_Modified::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

## Field Documentation

TDF_LabelMap TDocStd_Modified::myModified`[private]`

The documentation for this class was generated from the following file:

- TDocStd_Modified.hxx